Skip to main content
GET
/
v1
/
organizations
/
{organizationId}
Get an Organization
curl --request GET \
  --url https://api.us.lexful.app/v1/organizations/{organizationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
import requests

url = "https://api.us.lexful.app/v1/organizations/{organizationId}"

headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Account-ID': '<api-key>'}
};

fetch('https://api.us.lexful.app/v1/organizations/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_primary": true,
  "name": "<string>",
  "slug": "<string>",
  "type": "<string>",
  "status": "<string>",
  "description": "<string>",
  "logo_url": "<string>",
  "website_url": "<string>",
  "notes": "<string>",
  "alert": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tags": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "color": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "updated_by": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

organizationId
string<uuid>
required

Organization ID

Query Parameters

expand
string

Comma-separated list of fields to expand (e.g., "tags")

include_deleted
string

Include deleted organizations (true/false)

Response

Default Response

id
string<uuid>
required

Organization unique identifier

is_primary
boolean
required

Whether this is the primary organization

name
string
required

Organization name

slug
string
required

Organization slug (URL-friendly identifier)

type
string
required

Organization type

status
string
required

Organization status

description
string | null

Organization description

logo_url
string<uri> | null

Organization logo URL

website_url
string<uri> | null

Organization website URL

notes
string | null

Internal notes

alert
string | null

Alert message for this organization

parent_id
string<uuid> | null

Parent organization ID

asset_management
enum<string>

Asset management status - controls entity CRUD operations

Available options:
disabled,
enabled,
read_only
tags
object[]

Expanded tags (only present when expand=tags is used)

created_at
string<date-time>

Creation timestamp

updated_at
string<date-time>

Last update timestamp

created_by
string

User ID who created the organization

updated_by
string

User ID who last updated the organization

deleted_at
string<date-time> | null

Deletion timestamp